Map a hosted identity and grant or revoke private-console access
PUT
/
api
/
v1
/
console
/
access
Map a hosted identity and grant or revoke private-console access
curl --request PUT \
--url http://127.0.0.1:18000/api/v1/console/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access": true,
"display_name": "<string>",
"external_organization_id": "<string>",
"external_user_id": "<string>",
"provider": "clerk",
"scopes": [
"<string>"
]
}
'import requests
url = "http://127.0.0.1:18000/api/v1/console/access"
payload = {
"access": True,
"display_name": "<string>",
"external_organization_id": "<string>",
"external_user_id": "<string>",
"provider": "clerk",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
access: true,
display_name: '<string>',
external_organization_id: '<string>',
external_user_id: '<string>',
provider: 'clerk',
scopes: ['<string>']
})
};
fetch('http://127.0.0.1:18000/api/v1/console/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/console/access"
payload := strings.NewReader("{\n \"access\": true,\n \"display_name\": \"<string>\",\n \"external_organization_id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"provider\": \"clerk\",\n \"scopes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Required string length:
1 - 255Required string length:
1 - 255Available options:
clerk Available options:
viewer, operator, admin Maximum array length:
32Response
Success
The response is of type object.
⌘I
Map a hosted identity and grant or revoke private-console access
curl --request PUT \
--url http://127.0.0.1:18000/api/v1/console/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access": true,
"display_name": "<string>",
"external_organization_id": "<string>",
"external_user_id": "<string>",
"provider": "clerk",
"scopes": [
"<string>"
]
}
'import requests
url = "http://127.0.0.1:18000/api/v1/console/access"
payload = {
"access": True,
"display_name": "<string>",
"external_organization_id": "<string>",
"external_user_id": "<string>",
"provider": "clerk",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
access: true,
display_name: '<string>',
external_organization_id: '<string>',
external_user_id: '<string>',
provider: 'clerk',
scopes: ['<string>']
})
};
fetch('http://127.0.0.1:18000/api/v1/console/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/console/access"
payload := strings.NewReader("{\n \"access\": true,\n \"display_name\": \"<string>\",\n \"external_organization_id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"provider\": \"clerk\",\n \"scopes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}